package ru.csasq.cit_is_bot.ui.theme

import androidx.compose.material3.lightColorScheme
import androidx.compose.material3.darkColorScheme
import ru.csasq.cit_is_bot.ui.theme.backgroundDark
import ru.csasq.cit_is_bot.ui.theme.backgroundLight
import ru.csasq.cit_is_bot.ui.theme.errorContainerDark
import ru.csasq.cit_is_bot.ui.theme.errorContainerLight
import ru.csasq.cit_is_bot.ui.theme.errorDark
import ru.csasq.cit_is_bot.ui.theme.errorLight
import ru.csasq.cit_is_bot.ui.theme.inverseOnSurfaceDark
import ru.csasq.cit_is_bot.ui.theme.inverseOnSurfaceLight
import ru.csasq.cit_is_bot.ui.theme.inversePrimaryDark
import ru.csasq.cit_is_bot.ui.theme.inversePrimaryLight
import ru.csasq.cit_is_bot.ui.theme.inverseSurfaceDark
import ru.csasq.cit_is_bot.ui.theme.inverseSurfaceLight
import ru.csasq.cit_is_bot.ui.theme.onBackgroundDark
import ru.csasq.cit_is_bot.ui.theme.onBackgroundLight
import ru.csasq.cit_is_bot.ui.theme.onErrorContainerDark
import ru.csasq.cit_is_bot.ui.theme.onErrorContainerLight
import ru.csasq.cit_is_bot.ui.theme.onErrorDark
import ru.csasq.cit_is_bot.ui.theme.onErrorLight
import ru.csasq.cit_is_bot.ui.theme.onPrimaryContainerDark
import ru.csasq.cit_is_bot.ui.theme.onPrimaryContainerLight
import ru.csasq.cit_is_bot.ui.theme.onPrimaryDark
import ru.csasq.cit_is_bot.ui.theme.onPrimaryLight
import ru.csasq.cit_is_bot.ui.theme.onSecondaryContainerDark
import ru.csasq.cit_is_bot.ui.theme.onSecondaryContainerLight
import ru.csasq.cit_is_bot.ui.theme.onSecondaryDark
import ru.csasq.cit_is_bot.ui.theme.onSecondaryLight
import ru.csasq.cit_is_bot.ui.theme.onSurfaceDark
import ru.csasq.cit_is_bot.ui.theme.onSurfaceLight
import ru.csasq.cit_is_bot.ui.theme.onSurfaceVariantDark
import ru.csasq.cit_is_bot.ui.theme.onSurfaceVariantLight
import ru.csasq.cit_is_bot.ui.theme.onTertiaryContainerDark
import ru.csasq.cit_is_bot.ui.theme.onTertiaryContainerLight
import ru.csasq.cit_is_bot.ui.theme.onTertiaryDark
import ru.csasq.cit_is_bot.ui.theme.onTertiaryLight
import ru.csasq.cit_is_bot.ui.theme.outlineDark
import ru.csasq.cit_is_bot.ui.theme.outlineLight
import ru.csasq.cit_is_bot.ui.theme.outlineVariantDark
import ru.csasq.cit_is_bot.ui.theme.outlineVariantLight
import ru.csasq.cit_is_bot.ui.theme.primaryContainerDark
import ru.csasq.cit_is_bot.ui.theme.primaryContainerLight
import ru.csasq.cit_is_bot.ui.theme.primaryDark
import ru.csasq.cit_is_bot.ui.theme.primaryLight
import ru.csasq.cit_is_bot.ui.theme.scrimDark
import ru.csasq.cit_is_bot.ui.theme.scrimLight
import ru.csasq.cit_is_bot.ui.theme.secondaryContainerDark
import ru.csasq.cit_is_bot.ui.theme.secondaryContainerLight
import ru.csasq.cit_is_bot.ui.theme.secondaryDark
import ru.csasq.cit_is_bot.ui.theme.secondaryLight
import ru.csasq.cit_is_bot.ui.theme.surfaceBrightDark
import ru.csasq.cit_is_bot.ui.theme.surfaceBrightLight
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerDark
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerHighDark
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerHighLight
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerHighestDark
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerHighestLight
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerLight
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerLowDark
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerLowLight
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerLowestDark
import ru.csasq.cit_is_bot.ui.theme.surfaceContainerLowestLight
import ru.csasq.cit_is_bot.ui.theme.surfaceDark
import ru.csasq.cit_is_bot.ui.theme.surfaceDimDark
import ru.csasq.cit_is_bot.ui.theme.surfaceDimLight
import ru.csasq.cit_is_bot.ui.theme.surfaceLight
import ru.csasq.cit_is_bot.ui.theme.surfaceVariantDark
import ru.csasq.cit_is_bot.ui.theme.surfaceVariantLight
import ru.csasq.cit_is_bot.ui.theme.tertiaryContainerDark
import ru.csasq.cit_is_bot.ui.theme.tertiaryContainerLight
import ru.csasq.cit_is_bot.ui.theme.tertiaryDark
import ru.csasq.cit_is_bot.ui.theme.tertiaryLight

val lightScheme = lightColorScheme(
    primary = primaryLight,
    onPrimary = onPrimaryLight,
    primaryContainer = primaryContainerLight,
    onPrimaryContainer = onPrimaryContainerLight,
    secondary = secondaryLight,
    onSecondary = onSecondaryLight,
    secondaryContainer = secondaryContainerLight,
    onSecondaryContainer = onSecondaryContainerLight,
    tertiary = tertiaryLight,
    onTertiary = onTertiaryLight,
    tertiaryContainer = tertiaryContainerLight,
    onTertiaryContainer = onTertiaryContainerLight,
    error = errorLight,
    onError = onErrorLight,
    errorContainer = errorContainerLight,
    onErrorContainer = onErrorContainerLight,
    background = backgroundLight,
    onBackground = onBackgroundLight,
    surface = surfaceLight,
    onSurface = onSurfaceLight,
    surfaceVariant = surfaceVariantLight,
    onSurfaceVariant = onSurfaceVariantLight,
    outline = outlineLight,
    outlineVariant = outlineVariantLight,
    scrim = scrimLight,
    inverseSurface = inverseSurfaceLight,
    inverseOnSurface = inverseOnSurfaceLight,
    inversePrimary = inversePrimaryLight,
    surfaceDim = surfaceDimLight,
    surfaceBright = surfaceBrightLight,
    surfaceContainerLowest = surfaceContainerLowestLight,
    surfaceContainerLow = surfaceContainerLowLight,
    surfaceContainer = surfaceContainerLight,
    surfaceContainerHigh = surfaceContainerHighLight,
    surfaceContainerHighest = surfaceContainerHighestLight,
)

val darkScheme = darkColorScheme(
    primary = primaryDark,
    onPrimary = onPrimaryDark,
    primaryContainer = primaryContainerDark,
    onPrimaryContainer = onPrimaryContainerDark,
    secondary = secondaryDark,
    onSecondary = onSecondaryDark,
    secondaryContainer = secondaryContainerDark,
    onSecondaryContainer = onSecondaryContainerDark,
    tertiary = tertiaryDark,
    onTertiary = onTertiaryDark,
    tertiaryContainer = tertiaryContainerDark,
    onTertiaryContainer = onTertiaryContainerDark,
    error = errorDark,
    onError = onErrorDark,
    errorContainer = errorContainerDark,
    onErrorContainer = onErrorContainerDark,
    background = backgroundDark,
    onBackground = onBackgroundDark,
    surface = surfaceDark,
    onSurface = onSurfaceDark,
    surfaceVariant = surfaceVariantDark,
    onSurfaceVariant = onSurfaceVariantDark,
    outline = outlineDark,
    outlineVariant = outlineVariantDark,
    scrim = scrimDark,
    inverseSurface = inverseSurfaceDark,
    inverseOnSurface = inverseOnSurfaceDark,
    inversePrimary = inversePrimaryDark,
    surfaceDim = surfaceDimDark,
    surfaceBright = surfaceBrightDark,
    surfaceContainerLowest = surfaceContainerLowestDark,
    surfaceContainerLow = surfaceContainerLowDark,
    surfaceContainer = surfaceContainerDark,
    surfaceContainerHigh = surfaceContainerHighDark,
    surfaceContainerHighest = surfaceContainerHighestDark,
)
